<?xml version="1.0"?>
<odoo>
    <record id="view_purchase_order_form_inherit" model="ir.ui.view">
        <field name="name">purchase.order.form.inherit</field>
        <field name="model">purchase.order</field>
        <field name="inherit_id" ref="purchase.purchase_order_form"/>
        <field name="arch" type="xml">
            <xpath expr="//field[@name='product_id']" position="attributes">
                <attribute name="options">{'no_create': True, 'no_create_edit':True}</attribute>
            </xpath>
        </field>
    </record>
</odoo>